D-Bus 1.13.18

Data Fields
DBusMessage Struct Reference
D-Bus secret internal implementation details » DBusMessage implementation details

Internals of DBusMessage. More...

`#include <dbus-message-private.h>`

## Data Fields
DBusAtomic | refcount
| Reference count.
DBusHeader | header
| Header network data and associated cache.
DBusString | body
| Body network data.
unsigned int | locked: 1
| Message being sent, no modifications allowed.
unsigned int | in_cache: 1
| Has been "freed" since it's in the cache (this is a debug feature)
DBusList * | counters
| 0-N DBusCounter used to track message size/unix fds.
long | size_counter_delta
| Size we incremented the size counters by. More...
dbus_uint32_t | changed_stamp: CHANGED_STAMP_BITS
| Incremented when iterators are invalidated.
DBusDataSlotList | slot_list
| Data stored by allocated integer ID.
int | generation
| _dbus_current_generation when message was created

## Detailed Description

Internals of DBusMessage.

Object representing a message received from or to be sent to another application. This is an opaque object, all members are private.

Definition at line 99 of file dbus-message-private.h.

## Field Documentation

## ◆ size_counter_delta

long DBusMessage::size_counter_delta

Size we incremented the size counters by.

Definition at line 114 of file dbus-message-private.h.

Referenced by _dbus_message_add_counter_link(), and _dbus_message_remove_counter().

The documentation for this struct was generated from the following file:

- dbus-message-private.h